[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.KeyUpAfterInterface

Handles Key Up events forwarded from the LCL interface.

## Declaration

Source position: stdctrls.pp line 830

`protected procedure TCustomEdit.KeyUpAfterInterface(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | Virtual key code examined in the method.
`Shift` |  | Shift, Ctrl, or Alt modifier for the key code.

## Description

KeyUpAfterInterface handles the VK_RETURN key code for the control. It calls EditingDone to signal the OnEditingDone event handler (when assigned). When AutoSelect is set to True, the SelectAll method is called to select all of the Text in the control. AutoSelected is updated to reflect the action.

## See also

TWinControl.KeyUpAfterInterface |  | An empty implementation in the current LCL version.